edu.wpi.first.networktables

## Class NetworkTablesJNI

- java.lang.Object
- - edu.wpi.first.networktables.NetworkTablesJNI

-     public final class NetworkTablesJNI
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkTablesJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `addPolledConnectionListener(int poller, boolean immediateNotify)`
    `static int` | `addPolledEntryListener(int poller, int entry, int flags)`
    `static int` | `addPolledEntryListener(int poller, java.lang.String prefix, int flags)`
    `static int` | `addPolledLogger(int poller, int minLevel, int maxLevel)`
    `static int` | `callRpc(int entry, byte[] params)`
    `static void` | `cancelPollConnectionListener(int poller)`
    `static void` | `cancelPollEntryListener(int poller)`
    `static void` | `cancelPollLogger(int poller)`
    `static void` | `cancelPollRpc(int poller)`
    `static void` | `cancelRpcResult(int entry, int call)`
    `static int` | `createConnectionListenerPoller(int inst)`
    `static int` | `createEntryListenerPoller(int inst)`
    `static int` | `createInstance()`
    `static int` | `createLoggerPoller(int inst)`
    `static void` | `createPolledRpc(int entry, byte[] def, int poller)`
    `static int` | `createRpcCallPoller(int inst)`
    `static void` | `deleteAllEntries(int inst)`
    `static void` | `deleteEntry(int entry)`
    `static void` | `destroyConnectionListenerPoller(int poller)`
    `static void` | `destroyEntryListenerPoller(int poller)`
    `static void` | `destroyInstance(int inst)`
    `static void` | `destroyLoggerPoller(int poller)`
    `static void` | `destroyRpcCallPoller(int poller)`
    `static void` | `flush(int inst)`
    `static boolean` | `getBoolean(int entry, boolean defaultValue)`
    `static boolean[]` | `getBooleanArray(int entry, boolean[] defaultValue)`
    `static ConnectionInfo[]` | `getConnections(int inst)`
    `static int` | `getDefaultInstance()`
    `static double` | `getDouble(int entry, double defaultValue)`
    `static double[]` | `getDoubleArray(int entry, double[] defaultValue)`
    `static int[]` | `getEntries(int inst, java.lang.String prefix, int types)`
    `static int` | `getEntry(int inst, java.lang.String key)`
    `static int` | `getEntryFlags(int entry)`
    `static EntryInfo[]` | `getEntryInfo(NetworkTableInstance instObject, int inst, java.lang.String prefix, int types)`
    `static EntryInfo` | `getEntryInfoHandle(NetworkTableInstance inst, int entry)`
    `static long` | `getEntryLastChange(int entry)`
    `static java.lang.String` | `getEntryName(int entry)`
    `static int` | `getInstanceFromHandle(int handle)`
    `static int` | `getNetworkMode(int inst)`
    `static byte[]` | `getRaw(int entry, byte[] defaultValue)`
    `static byte[]` | `getRpc(int entry, byte[] defaultValue)`
    `static byte[]` | `getRpcResult(int entry, int call)`
    `static byte[]` | `getRpcResult(int entry, int call, double timeout)`
    `static java.lang.String` | `getString(int entry, java.lang.String defaultValue)`
    `static java.lang.String[]` | `getStringArray(int entry, java.lang.String[] defaultValue)`
    `static int` | `getType(int entry)`
    `static NetworkTableValue` | `getValue(int entry)`
    `static boolean` | `isConnected(int inst)`
    `static java.lang.String[]` | `loadEntries(int inst, java.lang.String filename, java.lang.String prefix)`
    `static java.lang.String[]` | `loadPersistent(int inst, java.lang.String filename)`
    `static long` | `now()`
    `static ConnectionNotification[]` | `pollConnectionListener(NetworkTableInstance inst, int poller)`
    `static ConnectionNotification[]` | `pollConnectionListenerTimeout(NetworkTableInstance inst, int poller, double timeout)`
    `static EntryNotification[]` | `pollEntryListener(NetworkTableInstance inst, int poller)`
    `static EntryNotification[]` | `pollEntryListenerTimeout(NetworkTableInstance inst, int poller, double timeout)`
    `static LogMessage[]` | `pollLogger(NetworkTableInstance inst, int poller)`
    `static LogMessage[]` | `pollLoggerTimeout(NetworkTableInstance inst, int poller, double timeout)`
    `static RpcAnswer[]` | `pollRpc(NetworkTableInstance inst, int poller)`
    `static RpcAnswer[]` | `pollRpcTimeout(NetworkTableInstance inst, int poller, double timeout)`
    `static void` | `postRpcResponse(int entry, int call, byte[] result)`
    `static void` | `removeConnectionListener(int connListener)`
    `static void` | `removeEntryListener(int entryListener)`
    `static void` | `removeLogger(int logger)`
    `static void` | `saveEntries(int inst, java.lang.String filename, java.lang.String prefix)`
    `static void` | `savePersistent(int inst, java.lang.String filename)`
    `static boolean` | `setBoolean(int entry, long time, boolean value, boolean force)`
    `static boolean` | `setBooleanArray(int entry, long time, boolean[] value, boolean force)`
    `static boolean` | `setDefaultBoolean(int entry, long time, boolean defaultValue)`
    `static boolean` | `setDefaultBooleanArray(int entry, long time, boolean[] defaultValue)`
    `static boolean` | `setDefaultDouble(int entry, long time, double defaultValue)`
    `static boolean` | `setDefaultDoubleArray(int entry, long time, double[] defaultValue)`
    `static boolean` | `setDefaultRaw(int entry, long time, byte[] defaultValue)`
    `static boolean` | `setDefaultString(int entry, long time, java.lang.String defaultValue)`
    `static boolean` | `setDefaultStringArray(int entry, long time, java.lang.String[] defaultValue)`
    `static boolean` | `setDouble(int entry, long time, double value, boolean force)`
    `static boolean` | `setDoubleArray(int entry, long time, double[] value, boolean force)`
    `static void` | `setEntryFlags(int entry, int flags)`
    `static void` | `setNetworkIdentity(int inst, java.lang.String name)`
    `static boolean` | `setRaw(int entry, long time, byte[] value, boolean force)`
    `static boolean` | `setRaw(int entry, long time, java.nio.ByteBuffer value, int len, boolean force)`
    `static void` | `setServer(int inst, java.lang.String[] serverNames, int[] ports)`
    `static void` | `setServer(int inst, java.lang.String serverName, int port)`
    `static void` | `setServerTeam(int inst, int team, int port)`
    `static boolean` | `setString(int entry, long time, java.lang.String value, boolean force)`
    `static boolean` | `setStringArray(int entry, long time, java.lang.String[] value, boolean force)`
    `static void` | `setUpdateRate(int inst, double interval)`
    `static void` | `startClient(int inst)`
    `static void` | `startClient(int inst, java.lang.String[] serverNames, int[] ports)`
    `static void` | `startClient(int inst, java.lang.String serverName, int port)`
    `static void` | `startClientTeam(int inst, int team, int port)`
    `static void` | `startDSClient(int inst, int port)`
    `static void` | `startServer(int inst, java.lang.String persistFilename, java.lang.String listenAddress, int port)`
    `static void` | `stopClient(int inst)`
    `static void` | `stopDSClient(int inst)`
    `static void` | `stopServer(int inst)`
    `static boolean` | `waitForConnectionListenerQueue(int inst, double timeout)`
    `static boolean` | `waitForEntryListenerQueue(int inst, double timeout)`
    `static boolean` | `waitForLoggerQueue(int inst, double timeout)`
    `static boolean` | `waitForRpcCallQueue(int inst, double timeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkTablesJNI

          public NetworkTablesJNI()

  - ### Method Detail

    - #### getDefaultInstance

          public static int getDefaultInstance()

    - #### createInstance

          public static int createInstance()

    - #### destroyInstance

          public static void destroyInstance(int inst)

    - #### getInstanceFromHandle

          public static int getInstanceFromHandle(int handle)

    - #### getEntry

          public static int getEntry(int inst,
                                     java.lang.String key)

    - #### getEntries

          public static int[] getEntries(int inst,
                                         java.lang.String prefix,
                                         int types)

    - #### getEntryName

          public static java.lang.String getEntryName(int entry)

    - #### getEntryLastChange

          public static long getEntryLastChange(int entry)

    - #### getType

          public static int getType(int entry)

    - #### setBoolean

          public static boolean setBoolean(int entry,
                                           long time,
                                           boolean value,
                                           boolean force)

    - #### setDouble

          public static boolean setDouble(int entry,
                                          long time,
                                          double value,
                                          boolean force)

    - #### setString

          public static boolean setString(int entry,
                                          long time,
                                          java.lang.String value,
                                          boolean force)

    - #### setRaw

          public static boolean setRaw(int entry,
                                       long time,
                                       byte[] value,
                                       boolean force)

    - #### setRaw

          public static boolean setRaw(int entry,
                                       long time,
                                       java.nio.ByteBuffer value,
                                       int len,
                                       boolean force)

    - #### setBooleanArray

          public static boolean setBooleanArray(int entry,
                                                long time,
                                                boolean[] value,
                                                boolean force)

    - #### setDoubleArray

          public static boolean setDoubleArray(int entry,
                                               long time,
                                               double[] value,
                                               boolean force)

    - #### setStringArray

          public static boolean setStringArray(int entry,
                                               long time,
                                               java.lang.String[] value,
                                               boolean force)

    - #### getValue

          public static NetworkTableValue getValue(int entry)

    - #### getBoolean

          public static boolean getBoolean(int entry,
                                           boolean defaultValue)

    - #### getDouble

          public static double getDouble(int entry,
                                         double defaultValue)

    - #### getString

          public static java.lang.String getString(int entry,
                                                   java.lang.String defaultValue)

    - #### getRaw

          public static byte[] getRaw(int entry,
                                      byte[] defaultValue)

    - #### getBooleanArray

          public static boolean[] getBooleanArray(int entry,
                                                  boolean[] defaultValue)

    - #### getDoubleArray

          public static double[] getDoubleArray(int entry,
                                                double[] defaultValue)

    - #### getStringArray

          public static java.lang.String[] getStringArray(int entry,
                                                          java.lang.String[] defaultValue)

    - #### setDefaultBoolean

          public static boolean setDefaultBoolean(int entry,
                                                  long time,
                                                  boolean defaultValue)

    - #### setDefaultDouble

          public static boolean setDefaultDouble(int entry,
                                                 long time,
                                                 double defaultValue)

    - #### setDefaultString

          public static boolean setDefaultString(int entry,
                                                 long time,
                                                 java.lang.String defaultValue)

    - #### setDefaultRaw

          public static boolean setDefaultRaw(int entry,
                                              long time,
                                              byte[] defaultValue)

    - #### setDefaultBooleanArray

          public static boolean setDefaultBooleanArray(int entry,
                                                       long time,
                                                       boolean[] defaultValue)

    - #### setDefaultDoubleArray

          public static boolean setDefaultDoubleArray(int entry,
                                                      long time,
                                                      double[] defaultValue)

    - #### setDefaultStringArray

          public static boolean setDefaultStringArray(int entry,
                                                      long time,
                                                      java.lang.String[] defaultValue)

    - #### setEntryFlags

          public static void setEntryFlags(int entry,
                                           int flags)

    - #### getEntryFlags

          public static int getEntryFlags(int entry)

    - #### deleteEntry

          public static void deleteEntry(int entry)

    - #### deleteAllEntries

          public static void deleteAllEntries(int inst)

    - #### getEntryInfoHandle

          public static EntryInfo getEntryInfoHandle(NetworkTableInstance inst,
                                                     int entry)

    - #### getEntryInfo

          public static EntryInfo[] getEntryInfo(NetworkTableInstance instObject,
                                                 int inst,
                                                 java.lang.String prefix,
                                                 int types)

    - #### createEntryListenerPoller

          public static int createEntryListenerPoller(int inst)

    - #### destroyEntryListenerPoller

          public static void destroyEntryListenerPoller(int poller)

    - #### addPolledEntryListener

          public static int addPolledEntryListener(int poller,
                                                   java.lang.String prefix,
                                                   int flags)

    - #### addPolledEntryListener

          public static int addPolledEntryListener(int poller,
                                                   int entry,
                                                   int flags)

    - #### pollEntryListener

          public static EntryNotification[] pollEntryListener(NetworkTableInstance inst,
                                                              int poller)
                                                       throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### pollEntryListenerTimeout

          public static EntryNotification[] pollEntryListenerTimeout(NetworkTableInstance inst,
                                                                     int poller,
                                                                     double timeout)
                                                              throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### cancelPollEntryListener

          public static void cancelPollEntryListener(int poller)

    - #### removeEntryListener

          public static void removeEntryListener(int entryListener)

    - #### waitForEntryListenerQueue

          public static boolean waitForEntryListenerQueue(int inst,
                                                          double timeout)

    - #### createConnectionListenerPoller

          public static int createConnectionListenerPoller(int inst)

    - #### destroyConnectionListenerPoller

          public static void destroyConnectionListenerPoller(int poller)

    - #### addPolledConnectionListener

          public static int addPolledConnectionListener(int poller,
                                                        boolean immediateNotify)

    - #### pollConnectionListener

          public static ConnectionNotification[] pollConnectionListener(NetworkTableInstance inst,
                                                                        int poller)
                                                                 throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### pollConnectionListenerTimeout

          public static ConnectionNotification[] pollConnectionListenerTimeout(NetworkTableInstance inst,
                                                                               int poller,
                                                                               double timeout)
                                                                        throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### cancelPollConnectionListener

          public static void cancelPollConnectionListener(int poller)

    - #### removeConnectionListener

          public static void removeConnectionListener(int connListener)

    - #### waitForConnectionListenerQueue

          public static boolean waitForConnectionListenerQueue(int inst,
                                                               double timeout)

    - #### createRpcCallPoller

          public static int createRpcCallPoller(int inst)

    - #### destroyRpcCallPoller

          public static void destroyRpcCallPoller(int poller)

    - #### createPolledRpc

          public static void createPolledRpc(int entry,
                                             byte[] def,
                                             int poller)

    - #### pollRpc

          public static RpcAnswer[] pollRpc(NetworkTableInstance inst,
                                            int poller)
                                     throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### pollRpcTimeout

          public static RpcAnswer[] pollRpcTimeout(NetworkTableInstance inst,
                                                   int poller,
                                                   double timeout)
                                            throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### cancelPollRpc

          public static void cancelPollRpc(int poller)

    - #### waitForRpcCallQueue

          public static boolean waitForRpcCallQueue(int inst,
                                                    double timeout)

    - #### postRpcResponse

          public static void postRpcResponse(int entry,
                                             int call,
                                             byte[] result)

    - #### callRpc

          public static int callRpc(int entry,
                                    byte[] params)

    - #### getRpcResult

          public static byte[] getRpcResult(int entry,
                                            int call)

    - #### getRpcResult

          public static byte[] getRpcResult(int entry,
                                            int call,
                                            double timeout)

    - #### cancelRpcResult

          public static void cancelRpcResult(int entry,
                                             int call)

    - #### getRpc

          public static byte[] getRpc(int entry,
                                      byte[] defaultValue)

    - #### setNetworkIdentity

          public static void setNetworkIdentity(int inst,
                                                java.lang.String name)

    - #### getNetworkMode

          public static int getNetworkMode(int inst)

    - #### startServer

          public static void startServer(int inst,
                                         java.lang.String persistFilename,
                                         java.lang.String listenAddress,
                                         int port)

    - #### stopServer

          public static void stopServer(int inst)

    - #### startClient

          public static void startClient(int inst)

    - #### startClient

          public static void startClient(int inst,
                                         java.lang.String serverName,
                                         int port)

    - #### startClient

          public static void startClient(int inst,
                                         java.lang.String[] serverNames,
                                         int[] ports)

    - #### startClientTeam

          public static void startClientTeam(int inst,
                                             int team,
                                             int port)

    - #### stopClient

          public static void stopClient(int inst)

    - #### setServer

          public static void setServer(int inst,
                                       java.lang.String serverName,
                                       int port)

    - #### setServer

          public static void setServer(int inst,
                                       java.lang.String[] serverNames,
                                       int[] ports)

    - #### setServerTeam

          public static void setServerTeam(int inst,
                                           int team,
                                           int port)

    - #### startDSClient

          public static void startDSClient(int inst,
                                           int port)

    - #### stopDSClient

          public static void stopDSClient(int inst)

    - #### setUpdateRate

          public static void setUpdateRate(int inst,
                                           double interval)

    - #### flush

          public static void flush(int inst)

    - #### getConnections

          public static ConnectionInfo[] getConnections(int inst)

    - #### isConnected

          public static boolean isConnected(int inst)

    - #### savePersistent

          public static void savePersistent(int inst,
                                            java.lang.String filename)
                                     throws PersistentException

      Throws:
        `PersistentException`

    - #### loadPersistent

          public static java.lang.String[] loadPersistent(int inst,
                                                          java.lang.String filename)
                                                   throws PersistentException

      Throws:
        `PersistentException`

    - #### saveEntries

          public static void saveEntries(int inst,
                                         java.lang.String filename,
                                         java.lang.String prefix)
                                  throws PersistentException

      Throws:
        `PersistentException`

    - #### loadEntries

          public static java.lang.String[] loadEntries(int inst,
                                                       java.lang.String filename,
                                                       java.lang.String prefix)
                                                throws PersistentException

      Throws:
        `PersistentException`

    - #### now

          public static long now()

    - #### createLoggerPoller

          public static int createLoggerPoller(int inst)

    - #### destroyLoggerPoller

          public static void destroyLoggerPoller(int poller)

    - #### addPolledLogger

          public static int addPolledLogger(int poller,
                                            int minLevel,
                                            int maxLevel)

    - #### pollLogger

          public static LogMessage[] pollLogger(NetworkTableInstance inst,
                                                int poller)
                                         throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### pollLoggerTimeout

          public static LogMessage[] pollLoggerTimeout(NetworkTableInstance inst,
                                                       int poller,
                                                       double timeout)
                                                throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### cancelPollLogger

          public static void cancelPollLogger(int poller)

    - #### removeLogger

          public static void removeLogger(int logger)

    - #### waitForLoggerQueue

          public static boolean waitForLoggerQueue(int inst,
                                                   double timeout)